Bug 908594 - Review Request: jgettext - An ANTLR-based parser and generator for GNU Gettext PO/POT in Java
Summary: Review Request: jgettext - An ANTLR-based parser and generator for GNU Gettex...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-07 05:41 UTC by Patrick Huang
Modified: 2013-04-30 03:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-22 00:41:14 UTC
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Huang 2013-02-07 05:41:25 UTC
Spec URL: http://fedorapeople.org/~pahuang/jgettext.spec
SRPM URL: http://fedorapeople.org/~pahuang/jgettext-0.12-1.fc17.src.rpm
Description: 
JGettext includes an ANTLR-based parser for GNU Gettext PO/POT files and a 
PO/POT generator as well. It's written in Java.

Fedora Account System Username: pahuang

Comment 1 Tomas Radej 2013-02-18 08:25:18 UTC
I will do this.

Comment 2 Mikolaj Izdebski 2013-02-18 11:54:09 UTC
> %if 0%{?fedora} > 18
>     %define mvnbuildRequires maven-local
> %else
>     %define mvnbuildRequires maven
> %endif

This is not needed. BR: maven-local can be used in all Fedoras (F16+)

Comment 3 Patrick Huang 2013-02-19 00:34:01 UTC
Updated spec file according to comment 2
Spec URL: http://fedorapeople.org/~pahuang/jgettext.spec
SRPM URL: http://fedorapeople.org/~pahuang/jgettext-0.12-2.fc17.src.rpm

Comment 4 Tomas Radej 2013-02-20 17:39:16 UTC
Package fails to build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5037324

Please, fix this before I can continue with the review.

Comment 5 Stanislav Ochotnicky 2013-02-20 17:42:37 UTC
(In reply to comment #4)
> Package fails to build:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5037324
> 
> Please, fix this before I can continue with the review.

This is a bug that I have yet to track down (most likely in antlr or antlr plugin). I'll keep you posted

Comment 6 Patrick Huang 2013-02-25 03:45:29 UTC
it builds in f17 and f18:
f18 build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=5051321

Only fail in rawhide.

Comment 7 Tomas Radej 2013-03-18 17:42:33 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== Issues =====
(These problems block the review)

[!]: Package complies to the Packaging Guidelines
>>>> You should use the newest packaging method, i. e. building with %mvn_build
>>>> and installing with %mvn_install, unless you intend to submit this package
>>>> for Fedora 17 or 18. If this is the case, I will approve the review. If
>>>> not, I kindly ask you to migrate the SPEC to the current method as
>>>> specified in the Fedora Java Packaging Guidelines:
>>>> http://fedoraproject.org/wiki/Packaging:Java#Apache_Maven

===== Notes =====
(These are nice to have things)

[x]: Pom files have correct add_maven_depmap call
>>>> You can simply use %add_maven_depamp without arguments in this case.
>>>> This point is only valid for older Fedora releases, as 19 and rawhide 
>>>> should use %mvn_install.

[!]: Requires correct, justified where necessary.
>>>> You can omit these packages from BR as they are provided by maven-local:
>>>> maven-compiler-plugin
>>>> maven-jar-plugin
>>>> maven-javadoc-plugin
>>>> maven-surefire-plugin

[!]: Latest version is packaged.
>>>> 0.13 is out, but I am not blocking the review on that.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jgettext-
     javadoc
[!]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tradej/reviews/908594-jgettext/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jgettext-0.12-2.fc20.noarch.rpm
          jgettext-javadoc-0.12-2.fc20.noarch.rpm
jgettext-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jgettext jgettext-javadoc
jgettext-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
jgettext (rpmlib, GLIBC filtered):
    antlr
    java
    jpackage-utils

jgettext-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jgettext:
    jgettext
    mvn(org.fedorahosted.tennera:jgettext)

jgettext-javadoc:
    jgettext-javadoc



MD5-sum check
-------------
https://github.com/zanata/jgettext/archive/jgettext-0.12.zip :
  CHECKSUM(SHA256) this package     : 3ea1aa7d43a8d6f8cbbbdc7884a74df731e8730d2846f455c518c100498a7b0e
  CHECKSUM(SHA256) upstream package : 0ea6fa8e99279a937b5a3460ad18ea54957cd17e6c7a11e4672a13d88f7e97f6
However, diff -r shows no differences


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 908594 -m fedora-rawhide-x86_64

*** NOT APPROVED ***

See Issues at the top of this comment. Please, provide clarification if you intend to submit this package to Fedora 17 and 18.

Comment 8 Patrick Huang 2013-03-18 23:46:26 UTC
f19 build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5139614

Updated according to review. Yes I also intended to submit to F17 and F18. I choose a conditional build so in F19 it will comply with the guideline.

SPEC URL: http://fedorapeople.org/~pahuang/jgettext.spec
SRPM URL: http://fedorapeople.org/~pahuang/jgettext-0.13-1.fc17.src.rpm

Comment 9 Tomas Radej 2013-04-05 12:39:08 UTC
I can't object to the conditional build solution you chose, but I personally would go with different SPECs for rawhide/F19+ and F18-.

The SPEC is okay apart from mixing Requires and BuildRequires. They should be in separate, non-overlapping groups. I am, though, trusting you to fix this before you upload.

Additional notes: 
* Group tag is not necessary, so unless you intend to support EPEL, you may omit it.
* BuildRequires on jpackage-utils is not necessary for maven packages, it's automatically required by maven-local.

*** APPROVED ***

Comment 11 Patrick Huang 2013-04-17 04:37:37 UTC
New Package SCM Request
=======================
Package Name: jgettext
Short Description: An ANTLR-based parser and generator for GNU Gettext PO/POT in Java
Owners: pahuang seanf
Branches: f17 f18
InitialCC:

Comment 12 Gwyn Ciesla 2013-04-17 15:14:58 UTC
Git done (by process-git-requests).

Added f19 branch.

Comment 13 Fedora Update System 2013-04-18 01:52:11 UTC
jgettext-0.13-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jgettext-0.13-2.fc19

Comment 14 Fedora Update System 2013-04-18 01:52:23 UTC
jgettext-0.13-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jgettext-0.13-3.fc17

Comment 15 Fedora Update System 2013-04-18 01:52:33 UTC
jgettext-0.13-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jgettext-0.13-3.fc18

Comment 16 Fedora Update System 2013-04-18 17:27:05 UTC
jgettext-0.13-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 17 Fedora Update System 2013-04-22 00:41:16 UTC
jgettext-0.13-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 18 Fedora Update System 2013-04-30 03:20:52 UTC
jgettext-0.13-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 19 Fedora Update System 2013-04-30 03:26:24 UTC
jgettext-0.13-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.